<div class="col-sm-6">
    <div class="widget">
        <div class="widget-header">
            <h3>系統資料統計</h3>
        </div>
        <div class="widget-content">
            <p>
                <span class="label label-primary">員工</span>
                總共<?=\Pkerp\Models\Employee::count();?>(筆)
            </p>
            <p>
                <span class="label label-primary">廠商</span>
                總共<?=\Pkerp\Models\Supplier::count();?>(筆)
            </p>
            <p>
                <span class="label label-primary">品項</span>
                總共<?=\Pkerp\Models\Goods::count();?>(筆)
            </p>
            <p>
                <span class="label label-primary">客戶</span>
                總共<?=\Pkerp\Models\Customer::count();?>(筆)
            </p>
            <p>
                <span class="label label-primary">進退貨紀錄表</span>
                <?
                $p = \Pkerp\Models\Procurement::find()->filter(function($row){
                        if( !empty($row->getStates(array('order'=>'setTime DESC'))
                                 ->getFirst()) && !in_array($row->getStates(array('order'=>'setTime DESC'))
                                 ->getFirst()->statecode, array(\Pkerp\Models\ProcurementState::STAT_INIT,
                                                                \Pkerp\Models\ProcurementState::STAT_RENEW,
                                                                \Pkerp\Models\ProcurementState::STAT_DELETED)) ){
                            return $row->toArray();
                        }
                     });
                echo '總共'.count($p).'(筆)/';
                $t = \Pkerp\Models\Procurement::find()->filter(function($row){
                        $s = strtotime(date('Y-m-d 00:00:00'));
                        $e = strtotime(date('Y-m-d 23:59:59'));
                        if( $row->getStates("statecode=".\Pkerp\Models\ProcurementState::STAT_INIT." AND setTime>={$s} AND setTime<={$e}")->getFirst() ){
                            return $row->toArray();
                        }
                     });
                echo '今日'.count($t).'(筆)';?>
            </p>
            <p>
                <span class="label label-primary">銷(補)貨紀錄表</span>
                <?
                $p = \Pkerp\Models\Sale::find()->filter(function($row){
                        if( !in_array($row->getStates(array('order'=>'setTime DESC'))
                                 ->getFirst()->statecode, array(\Pkerp\Models\SaleState::STAT_INIT,
                                                                \Pkerp\Models\SaleState::STAT_RENEW,
                                                                \Pkerp\Models\SaleState::STAT_DELETED)) ){
                            return $row->toArray();
                        }
                     });
                echo '總共'.count($p).'(筆)/';
                $t = \Pkerp\Models\Sale::find()->filter(function($row){
                        $s = strtotime(date('Y-m-d 00:00:00'));
                        $e = strtotime(date('Y-m-d 23:59:59'));
                        if( $row->getStates("statecode=".\Pkerp\Models\SaleState::STAT_INIT." AND setTime>={$s} AND setTime<={$e}")->getFirst() ){
                            return $row->toArray();
                        }
                     });
                echo '今日'.count($t).'(筆)';?>
            </p>
        </div>
    </div>
</div>